petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexSNESGetGradientDM

Return gradient data layout

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMPlexSNESGetGradientDM(DM dm, PetscFV fv, DM *dmGrad)

### Input Parameters

| dm | - The DM
| fv | - The PetscFV

### Output Parameter

dmGrad -The layout for gradient values

### See Also

DMPlexSNESGetGeometryFVM()

Level:developer
Location:src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages